Name:          smartmontools
Version:       7.5
Release:       1mamba
Summary:       Utility programs to control and monitor storage systems using the Self-Monitoring
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.smartmontools.org/
Source:        http://downloads.sourceforge.net/project/smartmontools/smartmontools/%{version}/smartmontools-%{version}.tar.gz
Patch0:        %{name}-5.42.1-init-openmamba.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcap-ng-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libsystemd-devel
## AUTOBUILDREQ-END

%description
The smartmontools package contains two utility programs (smartctl and smartd) to control and monitor storage systems using the Self-Monitoring, Analysis and Reporting Technology System (SMART) built into most modern ATA and SCSI harddisks.
In many cases, these utilities will provide advanced warning of disk degradation and failure.
Smartmontools supports ATA/ATAPI/SATA-3 to -8 disks and SCSI disks and tape devices.


%prep
%setup -q
%patch 0 -p 1

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%systemd_post smartd
:

%preun
%systemd_preun smartd
:

%postun
%systemd_postun_with_restart smartd
:

%files
%defattr(-,root,root)
%{_sysconfdir}/smartd_warning.sh
%{_sysconfdir}/smartd.conf
%{_sbindir}/smartctl
%{_sbindir}/smartd
%{_sbindir}/update-smart-drivedb
%{_unitdir}/smartd.service
%{_datadir}/smartmontools/drivedb.h
%{_docdir}/smartmontools/*
%{_mandir}/man5/smartd.conf.5*
%{_mandir}/man8/smartctl.8*
%{_mandir}/man8/smartd.8*
%{_mandir}/man8/update-smart-drivedb.8*
%doc AUTHORS COPYING
#NEWS README TODO

%changelog
* Thu May 01 2025 Automatic Build System <autodist@openmamba.org> 7.5-1mamba
- automatic version update by autodist

* Wed Aug 02 2023 Automatic Build System <autodist@mambasoft.it> 7.4-1mamba
- automatic version update by autodist

* Sun Mar 13 2022 Automatic Build System <autodist@mambasoft.it> 7.3-1mamba
- automatic version update by autodist

* Sat Jan 02 2021 Automatic Build System <autodist@mambasoft.it> 7.2-1mamba
- automatic version update by autodist

* Thu Jan 02 2020 Automatic Build System <autodist@mambasoft.it> 7.1-1mamba
- automatic version update by autodist

* Fri Jan 04 2019 Automatic Build System <autodist@mambasoft.it> 7.0-1mamba
- automatic version update by autodist

* Wed Nov 08 2017 Automatic Build System <autodist@mambasoft.it> 6.6-1mamba
- automatic version update by autodist

* Fri May 20 2016 Automatic Build System <autodist@mambasoft.it> 6.5-1mamba
- automatic version update by autodist

* Sun Jun 07 2015 Automatic Build System <autodist@mambasoft.it> 6.4-1mamba
- automatic version update by autodist

* Mon Aug 18 2014 Automatic Build System <autodist@mambasoft.it> 6.3-1mamba
- automatic version update by autodist

* Sat Jul 27 2013 Automatic Build System <autodist@mambasoft.it> 6.2-1mamba
- automatic update by autodist

* Thu Mar 21 2013 Automatic Build System <autodist@mambasoft.it> 6.1-1mamba
- automatic version update by autodist

* Thu Dec 27 2012 Automatic Build System <autodist@mambasoft.it> 6.0-1mamba
- automatic version update by autodist

* Mon Apr 02 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 5.42-1mamba
- update to 5.42

* Tue Apr 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 5.40-1mamba
- update to 5.40

* Sun Feb 28 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 5.39.1-1mamba
- update to 5.39.1

* Tue Dec 15 2009 Automatic Build System <autodist@mambasoft.it> 5.39-1mamba
- automatic update by autodist

* Sat Jul 12 2008 gil <puntogil@libero.it> 5.38-1mamba
- update to 5.38

* Sat Aug 19 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 5.36-1qilnx
- package created by autospec
